body {
  font-family: Helvetica, Arial;
  font-size: 16px;
  overflow-y: scroll;
}

#rendertime {
  font-size: 9px;
  text-align: right;
  margin: 5px 5px 0 5px;
}

#login {
  display: none;  
}
#login table {
  border: 1px solid #ccc;
  margin: 200px auto 0 auto;
  padding: 5px;
  border-collapse:separate;
  border-radius: 15px;
}
#login table td, #login table th {
  padding: 5px;
}
#login table input {
  border-radius:5px;
  border: 1px solid #ccc;
  padding: 3px;
}
#jswarn {
  color: #f00;
  font-size:30px;
}

.hidden {
  display:none;
}



.center {
  text-align: center;
}
.centered {
  margin:auto;
}
.bordered, table.bordered thead th, table.bordered thead td, table.bordered tbody td {
  border: 1px solid #ccc;
}
.odd {
  background-color: #ffd;
}
.even {
  background-color: #dff;
}
table {
  border-collapse:collapse;
}
td,th {
  padding:4px 7px;
}
.clickable {
  cursor: pointer;
}
tr.selected {
  font-weight: inherit;
  background-color:#afa;
}
form {
  margin:0;
}
.printonly {
  display:none;
}

.topborder {
  border-top: 1px solid #999;
}


#printme {
  float: right;
  cursor: pointer;
  margin: 3px 0px 3px 10px;
}




#menutable {
  background-color: #00f;
  color: #fff;
  width: 100%;
}
#menutable td {
  vertical-align: top;
}
#menutable .main {
  padding: 5px 10px;
}
#menutable .main span {
  white-space: nowrap;
  min-width: 180px;
  display: inline-block;
  padding: 0px 3px;
}
#menutable .main a {
  color: #fff;
}
#menutable .main  span.notused {
  color: #999;
}
#menutable .main  span.showdev a {
  text-decoration: none;
}
#menutable .main  a:hover {
  color: #f7f;
}
#logout {
  text-align: right;
}
#logout a, #menutable .menu a {
  color: #fcc;
}
#logout a:hover, #menutable .menu a:hover {
  color: #f77;
}
#logouttime {
  display: block;
  margin-top: 5px;
  font-size: 12px;
}


#buttoninfo {
  margin: 2px 0 0px 0;
  background-color: #dd0;
  padding: 5px 10px;
}
#buttoninfo a {
  color: #000;
}
#buttoninfo a.notused {
  color: #888;
}
#buttoninfo  a:hover{
  color: #f7f;
}
#buttoninfo span {
  display:inline-block;
  margin: 0px 10px;
  white-space: nowrap;
}
#buttoninfo.fixwidth span {
  width:30%;
  overflow: hidden;
  text-overflow: ellipsis;
}
#buttoninfo .warning {
  margin:0;
}
#buttoninfo .templategroup {
  margin:5px 20px 0 0
}

#actions, #selection {
  margin: 2px 0 10px 0;
  background-color: #833;
  padding: 5px 10px;
  color: #fff;
}
#actions a, #selection a {
  color: #fff;
}
#actions  a:hover, #selection  a:hover {
  color: #fff;
}
#actions span, #selection span {
  margin: 0px 10px;
  white-space: nowrap;
  display: inline-block;
  width: 30%;
  overflow: hidden;
  text-overflow: ellipsis;
}


.buttontexts {
  margin-left: 40px;
}

.buttontexts td {
  vertical-align: top;
}

.buttontexts input[type=text]{
  width:400px;
}
.buttontexts input[name=buttonname] {
  color: #888;
  margin: 4px 0;
  padding: 2px 4px;
  border: none;
}

.buttontexts textarea {
  width:400px;
  height:100px;
}
#settings span {
  margin-left: 40px;
  min-width: 320px;
  height: 25px;
  float: left;
}

#settings .roundup {
  float: right;
  min-width: 20px;
  margin: 0;
  padding: 0 10px;
  font-weight: 300;
  cursor: pointer;
  font-size: 18px;
  max-width: 400px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

#settings .numslider {
  width:300px;
  height:18px;
  background-color:#ccc;
  border:1px solid black;
  background-image: -webkit-linear-gradient(left, rgb(80,80,80) 0%, rgb(120,120,120) 15%, rgb(210,210,210) 45%, rgb(210,210,210) 55%, rgb(120,120,120) 85%, rgb(80,80,80) 100%);
}

h2 {
  font-size: 20px;
  background-color: #eee;
  padding: 4px 20px;
  margin: 6px 0;
}
.warning {
  color: #f00;
}
.selected {
  font-weight: 700;
}
#buttoninfo .public, #buttoninfo .public a {
  color: #33f;
}
.clear {
  clear:both;
}


.buttons {
  width: 640px;
  height: 80px;
  margin-top: 10px;
}
.note {
  width:30px;
  height:75px;
  float:left;
}
.notebutton {
  cursor: pointer;
  border: 1px solid black;
  margin-right: 5px;
  background-color:#ffc;
}
.rhythmus {
  margin-left:40px;
}
.rhythmus .notedata {
  margin: 5px 0 10px 0;
  width: 300px;
}
.rhythmusView {
  border: 1px solid black;
  width: 600px;
  height: 100px;
}
.rhythmusView .line {
  border-left:1px solid #999;
  width:1px;
  height:100px;
}

.presetting {
  cursor:pointer;
  color:#008;
}

.clickableThumb {
  border: 2px solid #555;
  margin: 2px;
  padding: 2px;
  cursor: pointer;
  height: 80px;
}

.clickableBig {
  border: 3px solid #555;
  padding: 2px;
  cursor: pointer;
  position:absolute;
  margin:auto;
  background: white;
}


#settings span input.textSetting {
  width: 400px;
}

#settings .presetting span.preSetInd {
  width: 13px;
  min-width: 0;
  margin: 0 4px;
}

#studentoverview  {
  padding:5px;
}
#studentoverview  table, #studentoverview  th, #studentoverview  td {
  margin:auto;
}
#studentoverview  th, #studentoverview  td {
  padding: 3px;
  border-collapse:collapse;
  border: 1px solid #777;
}

#studentoverview .infoicons {
  margin:0; padding:0;
}

#studentoverview .infoicons .newmail0 {
  width:32px;
  height:32px;
  background-image:url("mail.png");
  background-position: 0 0;
}
#studentoverview .infoicons .newmail1 {
  width:32px;
  height:32px;
  background-image:url("mail.png");
  background-position: -32px 0;
}

#massmail span {
  display: inline-block;
  min-width: 320px;
  text-align: left;
}

#profileimages {
  height:160px;
}
#profileimages img {
  width:120px;
  height:160px;
}
#profileimages .profileImageU {
  float:left;
}
#profileimages .profileImageC {
  float:right;
}
#profileimageDialog {
  width:380px;
  height:160px;
  border:1px solid #777;
  margin:auto;
  text-align:center;
  display:none;
}
#profileimageDialogTitle {
  background:#eee;
  padding:3px;
}
#profileimageDialog form {
  display:inline;
}


.message {
  margin: 10px;
  padding: 5px 20px;
  border-radius: 10px;
}
.message.toClient {
  text-align: left;
  border: 1px solid #777;
  background-color: #f5f5f5;
  margin-right: 38%;
}
.message.fromClient {
  text-align: right;
  border: 1px solid #00f;
  background-color: #eef;
  margin-left: 38%;
}
.message .date {
  font-size: 12px;
}
.oldMessage {
  display: none;
}


#messageform {
  text-align:center;
}
#messageform textarea {
  width: 62%;
  height: 100px;
}

#mailtemplate {
  padding: 20px 0 0 0;
}

#mailtemplate textarea {
  width: 700px;
  height: 100px;
}

#massmail {
  margin-left: 10px;
}
#massmail div {
  margin-left: 20px;
}
#massmail textarea {
  margin-left: 20px;
  width: 700px;
  height: 100px;
}


#deleteStudentDialog {
  width:380px;
  height:160px;
  border:1px solid #777;
  margin:0 auto 20px auto;
  text-align:center;
  display:none;
}
#deleteStudentDialogTitle {
  background:#eee;
  padding:3px;
}
#deleteStudentDialog form {
  display:inline;
}
.deleteStudent{
  color:red;
}
#deleteStudentMail{
  font-weight: 700;
}